Skip to main content
POST
/
v1
/
audio
/
transcriptions
音频转录
curl --request POST \
  --url https://api.tkhub.ai/v1/v1/audio/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form model=whisper-1 \
  --form language= \
  --form prompt= \
  --form response_format=json \
  --form temperature=0 \
  --form timestamp_granularities=
{
  "text": "<string>"
}

Authorizations

Authorization
string
header
required

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

Body

multipart/form-data
file
file
required

音频文件

model
string
required
Example:

"whisper-1"

language
string

ISO-639-1 语言代码

Example:

""

prompt
string
Example:

""

response_format
enum<string>
default:json
Available options:
json,
text,
srt,
verbose_json,
vtt
Example:

"json"

temperature
number
Example:

0

timestamp_granularities
enum<string>[]
Available options:
word,
segment
Example:

""

Response

200 - application/json

成功转录

text
string